Bug 93689 - [patch] polish/libgadu without openssl
Summary: [patch] polish/libgadu without openssl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-22 03:30 UTC by mjl
Modified: 2006-04-02 01:12 UTC (History)
1 user (show)

See Also:


Attachments
patch-libgadu-20051229_1 (545 bytes, text/plain)
2006-02-22 03:30 UTC, mjl
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mjl 2006-02-22 03:30:06 UTC
	I have been playing with the gaim beta2 source for a little while
	and fixing minor bugs and so on.  One of the problems was the
	bundled version of libgadu which would not build on FreeBSD 4.X
	since the compiler in that release does not have va_copy.

	To cut a long story short the fix applied in gaim is to use a
	locally installed libgadu, rather than bundle their own.  The
	problem is that libgadu links against openssl, which causes
	openssl to be loaded into gaim's process space which is apparently
	an infringement on the GPL.  the patch checked into gaim checks
	if the local copy of libgadu is linked against openssl and refuses
	to link against it if it detects openssl.

	Disabling openssl is apparently not a big deal since the gadugadu
	servers apparently do not support SSL at this time.

	Full story here:

	https://sourceforge.net/tracker/?func=detail&atid=300235&aid=1424846&group_id=235

How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2006-02-22 03:36:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Aleksander Fafula 2006-03-08 07:59:04 UTC
Hello. 

I think this is a very good idea.

It was promised by the vendor of commercial application (Gadu-Gadu)
that their servers will start serving clients securely soon. It has not 
happend so I agree with you it is a very good idea of disabling it.

Thank you very much for your support!

Aleksander Fafula
Comment 3 Joe Marcus Clarke freebsd_committer 2006-04-02 01:12:21 UTC
State Changed
From-To: feedback->closed

Committed, thanks!